﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace H2V_Script_Maker
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            tabControl1.TabPages[0].Controls.Add(new Editor());
            tabControl1.TabPages[0].Controls[0].Dock = DockStyle.Fill;
        }
        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (tabControl1.SelectedIndex != -1)
            {
                Script S = new Script();
                S.Name = textBox1.Text;
                S.Bytesize = tabControl1.TabPages[tabControl1.SelectedIndex].Controls[0].Controls[1].Text.ToCharArray().Length;
                if (tabControl1.TabPages[tabControl1.SelectedIndex].Controls[0].Controls[1].Text.Contains(';'))
                    S.Comments = true;
                if (!tabControl1.TabPages[tabControl1.SelectedIndex].Controls[0].Controls[1].Text.Contains(';'))
                    S.Comments = false;
                S.Scripta = tabControl1.TabPages[tabControl1.SelectedIndex].Controls[0].Controls[1].Text.Replace("\r", "").Split('\n');
                H2Script hs = new H2Script();
                hs.save(S);
            }
        }
        private void richTextBox1_TextChanged(object sender, EventArgs e)
        {
            if (tabControl1.SelectedIndex != -1)
            {
                Font fp = new Font(FontFamily.GenericSerif, 10F, FontStyle.Regular);
                tabControl1.TabPages[tabControl1.SelectedIndex].Controls[0].Controls[0].Font = fp;
            }
        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            H2Script hs = new H2Script();
            Script Tmp = hs.Open();
            tabControl1.TabPages.Add(Tmp.Name);
            Tmp.Scripta[0].Replace(BitConverter.ToChar(new byte[2] { 0x0D, 0x0A }, 0), '\n');
            Editor Et = new Editor();
            tabControl1.TabPages[tabControl1.TabPages.Count - 1].Controls.Add(Et);
            tabControl1.TabPages[tabControl1.TabPages.Count - 1].Controls[0].Dock = DockStyle.Fill;
            tabControl1.TabPages[tabControl1.TabPages.Count - 1].Controls[0].Controls[1].Text = Tmp.Scripta[0];
            tabControl1.SelectedIndex = tabControl1.TabPages.Count - 1;
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tabControl1.TabPages.Add("New Script");
            Editor Et = new Editor();
            tabControl1.TabPages[tabControl1.TabPages.Count - 1].Controls.Add(Et);
            tabControl1.SelectedIndex = tabControl1.TabPages.Count - 1;
        }

        private void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
        {
            textBox1.Text = tabControl1.SelectedTab.Text;
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            tabControl1.SelectedTab.Text = textBox1.Text;
        }

        private void closeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tabControl1.TabPages.Remove(tabControl1.SelectedTab);
        }
    }
}
